StartupEvents.registry('palladium:abilities', (event) => {
    let CuriosTrinketsUtil = Java.loadClass('net.threetag.palladium.compat.curiostinkets.CuriosTrinketsUtil');
    let EnergyHelper = Java.loadClass('net.threetag.palladium.energy.EnergyHelper');

	event.create('awesoft_technologies:curios_api_test')

    .icon(palladium.createItemIcon('palladium:vibranium_circuit'))

    //.addProperty('energy', 'integer', 10, 'Amount of energy to drain per tick')

    .tick((entity, entry, holder, enabled) => {
        //const energyamnt = entry.getPropertyByName('energy');
        if (entity.isCrouching()) {
            const items = CuriosTrinketsUtil.getInstance().getItemsInSlot(entity, Platform.isForge() ? 'body' : 'chest/cape');
            
            

            for (let i = 0; i < items.length; i++) {
                const item = items[i];
                if (item.id == 'awesoft_technologies:tier1_arc_reactor') {
                    const energy = EnergyHelper.getFromItemStack(item).orElse(null);
                    
                    if (energy) {
                        energy.withdrawEnergy(100, false);
                        //energy.getEnergyCapacity()
                    }
                }
            }
        }
    })
});