(function(){
    let CuriosTrinketsUtil = Java.loadClass('net.threetag.palladium.compat.curiostinkets.CuriosTrinketsUtil');
    let EnergyHelper = Java.loadClass('net.threetag.palladium.energy.EnergyHelper');
    
    StartupEvents.registry('palladium:abilities', (event) => {

        event.create('awesoft_technologies:creative_gain')
        .icon(palladium.createItemIcon('palladium:vibranium_circuit'))


        .tick((entity, entry, holder, enabled) => {
            if (!enabled) {return}
            
            const items = CuriosTrinketsUtil.getInstance().getItemsInSlot(entity, Platform.isForge() ? "body" : 'chest/cape');
                
                
            for (let i = 0; i < items.length; i++) {
                let item = items[i];
                
                if (item && !item.isEmpty() && item.id === "awesoft_technologies:arc_reactor_creative") {
                    //Utils.server.tell(item.id)

                    let holderWrapper = EnergyHelper.getFromItemStack(item)

                    if (holderWrapper.isPresent()) {
                        let energyHolder = holderWrapper.get()

                        if (energyHolder.getEnergyAmount() < 69000) {
                            energyHolder.insertEnergy(69000, false);
                        }
                    }
                }
            }
        })
    });
})()