StartupEvents.registry('palladium:condition_serializer', (event) => {
	event.create('awesoft_technologies:is_curios_on')

    .addProperty('id', 'string', "awesoft_technologies:tier1_arc_reactor", 'Item to look for in any curios slot')

	.test((entity, props) => {

        if (props.containsKey("id")) {
            if (entity.isPlayer()) {
                let nbt = entity.nbt
                let curios = nbt.ForgeCaps['curios:inventory']
                let isCoreOn = curios.toString().contains(props.get("id")) || curios.toString().contains("awesoft_technologies:arc_reactor_creative")

                return isCoreOn;
            }
        }  
	});
});